cmake_minimum_required(VERSION 3.22)

set(EASYLOGGER_SOURCES
  "${CMAKE_CURRENT_LIST_DIR}/src/elog_async.c"
  "${CMAKE_CURRENT_LIST_DIR}/src/elog_buf.c"
  "${CMAKE_CURRENT_LIST_DIR}/src/elog_utils.c"
  "${CMAKE_CURRENT_LIST_DIR}/src/elog.c"
  "${CMAKE_CURRENT_LIST_DIR}/port/elog_port.c"
)

add_library(easylogger ${EASYLOGGER_SOURCES})

target_include_directories(easylogger PUBLIC
  "${CMAKE_CURRENT_LIST_DIR}/inc"
)

target_link_libraries(easylogger PRIVATE
  drivers
  freertos
)
